## e-spell-text-view

e-spell-text-view

## Functions

gboolean | e_spell_text_view_is_supported ()
gboolean | e_spell_text_view_attach ()
void | e_spell_text_view_recheck_all ()

## Description

## Functions

### e_spell_text_view_is_supported ()

    gboolean
    e_spell_text_view_is_supported (void);

Returns whether evolution was compiled with GtkSpell3. If it returns `FALSE`, all the other e_spell_text_view_... functions do nothing.

#### Returns

Whether evolution was compiled with GtkSpell3

Since: 3.12

### e_spell_text_view_attach ()

    gboolean
    e_spell_text_view_attach (GtkTextView *text_view);

Attaches a spell checker into the `text_view` , if spell-checking is enabled in Evolution.

#### Parameters

text_view | a GtkTextView |

#### Returns

Whether successfully attached the spell checker

Since: 3.12

### e_spell_text_view_recheck_all ()

    void
    e_spell_text_view_recheck_all (GtkTextView *text_view);

Checks whole content of the `text_view` for spell-errors, if it has previously attached spell-checker with `e_spell_text_view_attach()`.

#### Parameters

text_view | a GtkTextView with attached spell checker |

Since: 3.12

## Types and Values